Bug 2247093

Summary: Review Request: rust-bankstown-lv2 - Barebones, fast LV2 bass enhancement plugin
Product: [Fedora] Fedora Reporter: Davide Cavalca <davide>
Component: Package ReviewAssignee: Neal Gompa <ngompa13>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: decathorpe, ngompa13, package-review
Target Milestone: ---Flags: ngompa13: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: https://crates.io/crates/bankstown-lv2
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-10-31 15:46:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 2224751    

Description Davide Cavalca 2023-10-30 16:16:49 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/rust-bankstown-lv2/rust-bankstown-lv2.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/rust-bankstown-lv2/rust-bankstown-lv2-1.0.0-1.fc40.src.rpm

Description:
Bankstown is a barebones, fast LV2 bass enhancement plugin implementing
halfway-decent three-stage psychoacoustic bass approximation.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2023-10-30 16:16:55 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=108327212

Comment 2 Fedora Review Service 2023-10-30 16:25:36 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6582023
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2247093-rust-bankstown-lv2/fedora-rawhide-x86_64/06582023-rust-bankstown-lv2/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 3 Neal Gompa 2023-10-31 15:11:36 UTC
Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification and is acceptable for Fedora
- license files are included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- add @rust-sig with "commit" access as package co-maintainer

- set bugzilla assignee overrides to @rust-sig (optional)

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- track package in koschei for all built branches

Comment 4 Fedora Admin user for bugzilla script actions 2023-10-31 15:13:34 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-bankstown-lv2

Comment 5 Fabio Valentini 2023-10-31 15:36:57 UTC
I see a small issue:
The License tag for the subpackage should be "MIT AND (MIT OR Apache-2.0)", not just "MIT OR Apache-2.0".

I also wonder whether "bankstone-lv2" is an appropriate name for the binary subpackage, or of "lv2-bankstone" would be better, similar to other names for "plugin" packages.

Comment 6 Fedora Update System 2023-10-31 15:45:55 UTC
FEDORA-2023-5c9db71704 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-5c9db71704

Comment 7 Fedora Update System 2023-10-31 15:46:17 UTC
FEDORA-2023-5c9db71704 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2023-11-02 18:11:38 UTC
FEDORA-2023-9bacd079df has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-9bacd079df

Comment 9 Fedora Update System 2023-11-02 18:39:43 UTC
FEDORA-2023-64ddc0e6ee has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-64ddc0e6ee

Comment 10 Fedora Update System 2023-11-02 18:40:16 UTC
FEDORA-2023-2610f0e5e9 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2610f0e5e9

Comment 11 Fedora Update System 2023-11-03 01:10:46 UTC
FEDORA-2023-64ddc0e6ee has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2023-11-03 01:27:51 UTC
FEDORA-2023-2610f0e5e9 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2023-11-03 02:08:50 UTC
FEDORA-2023-9bacd079df has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-9bacd079df \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-9bacd079df

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2023-11-03 18:48:27 UTC
FEDORA-2023-9bacd079df has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.